global {
	--river_seen = false;
	bonfire_place_seen = false;
	bonfire_branches = false;
	bonfire_paper = false;
}

light = obj {
	nam = img('gfx/inv_light.png')..'зажигалка',
	inv = [[Старая зажигалка. Металлическая. В ней ещё есть газ. Я взял её
на всякий случай.]],
	use = function(s, w)
		if nameof(w) == 'место для костра' then
			if is_return then
				return 'Я уже согрелся огнём костра.';
			elseif bonfire_paper then
					walk('neer_bonfire');
			elseif bonfire_branches then
				return 'Я попробовал разжечь костёр, но ветер сразу загасил всё.';
			else
				return 'Что здесь поджигать?';
			end
		elseif nameof(w) == 'dump' then
			take('rod');
			return 'Я подсветил горы мусора зажигалкой. Ух ты, стальной прут. Возьму. Ещё пригодится.';
		elseif nameof(w) == 'fence_label' then
			return 'Я подсветил надпись зажигалкой. Она была сделана белой краской. Почти стёрлась. По-моему, там говорится о штрафе.';
		else
			return 'Не стоит играть с огнём.';
		end
	end,
};

license = obj {
	nam = img('gfx/inv_license.png')..'лицензия',
	inv = [[Это лицензионное соглашение операционной системы «Vi». Бумага
гласит:^^
«...^^]]..
txtb('Право на установку.')..[[ Вы можете установить только одну копию на
компьютер...^^]]..
txtb('Количество пользователей.')..[[ Одновременно с данным программным
обеспечением может работать только один пользователь...^^]]..
txtb('Активация.')..[[ Активация является обязательной...»^^
Дальше ещё интереснее:^^
«Программное обеспечение не продаётся, а только предоставляется для
использования по лицензии...»^^
Всё. Больше не могу это читать...]],
	use = function(s, w)
		if nameof(w) == 'место для костра' then
			if bonfire_branches then
				bonfire_paper = true;
				remove(s, me());
				return 'Я положил бумагу с лицензией под ветки.';
			else
				return 'Возможно это хорошая идея, но чего-то не хватает.';
			end
		end
	end,
};

main = room {
	nam = 'У дерева',
	dsc = [[Я стою возле дерева. Кажется, это дуб.^^
Настроение ужасное. Хочется сбежать подальше от города, от этих
бетонных коробок с лифтами, от компьютеров... От всего того, что
произошло несколько дней назад.^^
{next|Продолжить}]],
	obj = {
		xact('next', code[[walk('neer_tree')]]),
	},
	entered = code [[ set_music 'mus/intro.ogg' ]],
	left = code [[take 'light'; take 'license';]],
	pic = 'gfx/tree.png',
};

branches = obj {
	nam = img('gfx/inv_branches.png')..'ветки',
	inv = 'Сухие ветки.',
	use = function(s, w)
		if nameof(w) == 'место для костра' then
			if is_return then
				return 'Это уже ни к чему...';
			elseif not bonfire_branches then
				bonfire_branches = true;
				remove(s, me());
				return 'Я положил ветки на место для костра.';
			else
				return 'Здесь уже лежат ветки.';
			end
		end
	end,
};

neer_tree = xroom {
	nam = 'У дерева',
	dsc = [[Вечер...]],
	xdsc = [[Вдали видны огоньки {buildings|серых коробок}...
Передо мной {tree|дерево}. Ветер немного колышет {grass|траву},
в которой лежат {ветки|ветки}.
Впереди есть {city_road|тропинка, ведущая к городу}.
Слева {river_road|тропинка к реке}.]],
	obj = {
		xact('buildings',
		[[Эти здания, этот город, эти компьютеры. Я очень зол...]]),
		xact('tree',
		[[Да, это дуб. Выглядит очень крепким. Интересно сколько ему лет?]]),
		xact('grass',
		[[Обычная трава. Не курительная. Странно, я и не заметил как со
временем это слово уже приобрело немного другое значение.]]),
		obj {
			nam = 'ветки',
			act = code [[
				if bonfire_place_seen then
					if not have 'branches' then
						take 'branches'
						return 'Я собрал сухие ветки.'
					else
						return 'У меня уже есть ветки.'
					end
				else
					return 'Здесь лежит много веток. Многие сухие.'
				end
			]],
		},
		xact('city_road',
		[[Вытоптанная людьми тропинка. Почти заросла так как мало кто сюда
ходит. Все сидят за компьютерами.]]),
		xact('river_road',
		[[К реке интересно сходить.]]),
	},
	way = {
		vroom('К городу', 'to_city1'),
		vroom('К реке', 'neer_river'),
	},
	exit = function(s, t)
		if t == to_city1 and not is_seen_glava7 then
			return 'Нет. Я не хочу в город. По крайней мере сейчас.', false;
		end
	end,
	pic = 'gfx/neer_tree.png',
};

city = room {
	nam = 'Город',
}

neer_river = xroom {
	nam = 'Возле реки',
	dsc = [[Река... Как давно я был на природе. Приятно смотреть.]],
	xdsc = [[{river|Река} течёт.
Возле реки есть {место для костра|место}, где раньше, видимо, разжигали костёр.]],
	obj = {
		xact('river',
		[[Приятное течение реки успокаивает.]]),
		obj {
			nam = 'место для костра',
			act = code [[
				if is_return then
					return 'В костре остался только пепел.';
				elseif bonfire_paper then
					return 'Здесь лежат ветки. Под ними бумага.';
				elseif bonfire_branches then
					return 'Здесь лежат ветки.';
				else
					if not bonfire_place_seen then
						bonfire_place_seen = true;
					end
					return 'Хм. Можно было бы разжечь костёр.';
				end
			]],
		},
	},
	way = {
		vroom('К дереву', 'neer_tree'),
	},
	--[[enter = function(s, f)
		if is_return and f ~= neer_tree then
			if have_knife then
				take('knife');
				p 'Я порылся в карманах куртки и нашёл там нож.';
				p 'Его я взял дома на кухне в тот роковой день.';
			end;
			p 'Костёр погас. Думаю, нужно идти в город. К диспетчерскому пункту...';
		end;
	end,]]
	pic = code[[
		pr 'gfx/neer_river.png';
		if bonfire_branches and not bonfire_paper then
			pr ';gfx/bonfire_branches.png@190,104';
		end
		if bonfire_paper and not is_return then
			pr ';gfx/bonfire_paper.png@186,104';
		end
	]],
};

neer_bonfire = room {
	nam = 'У костра',
	dsc = [[Я разжёг костёр...^^
Сразу вспомнилось детство. Тогда ещё не было компьютеров. Разве что
игровые приставки. Но им не уделяли столько времени...^^
Обычно мы играли на улице. Проводили там всё время. Играли в футбол,
лазили по деревьям, палили костры... Куда это всё ушло?^^
Наверное я старею.^^
Но не это меня злило. Несколько дней назад... Несколько дней...^^
Если бы вернуть тот вечер... Чёрт, это всё компьютеры. Из-за споров...
какая операционная система лучше я... потерял друга...^^
Теперь я смотрю как догорает лицензия «Vi». Мой друг помешан на этой
операционной системе. А я ненавижу эту проприетарщину. Я люблю свободный
софт. Моя операционная система — «Li»! Чёрт...^^
Опять я о компьютерах... А ведь раньше мы с моим другом лазили по
деревьям. И не думали об этом. Как мы изменились...^^
Я начинаю вспоминать с чего это всё начиналось...^^
{to_screen|Продолжить}]],
	obj = {
		xact('to_screen', code[[walk('screen')]]),
	},
	enter = code [[set_music('mus/bonfire.ogg')]],
	pic = 'gfx/neer_bonfire.png',
};
